local ok, catppuccin = pcall(require, "catppuccin")
if not ok then
    return
end

vim.g.catppuccin_flavour = "macchiato" -- latte, frappe, macchiato, mocha

catppuccin.setup {
    compile = {
        enabled = true,
        path = vim.fn.stdpath "cache" .. "/catppuccin",
    },
    dim_inactive = {
        enabled = true,
        shade = "dark",
        percentage = 0.15,
    },
    integrations = {
        cmp = true,
        gitsigns = true,
        notify = true,
        indent_blankline = {
            enabled = true,
            colored_indent_levels = false,
        },
        native_lsp = {
            enabled = true,
            virtual_text = {
                errors = { "italic" },
                hints = { "italic" },
                warnings = { "italic" },
                information = { "italic" },
            },
            underlines = {
                errors = { "underline" },
                hints = { "underline" },
                warnings = { "underline" },
                information = { "underline" },
            },
        },
        telescope = true,
        treesitter = true,
    },
}

vim.cmd [[colorscheme catppuccin ]]
