local _, telescope = pcall(require, "telescope")
local ok, builtin = pcall(require, "telescope.builtin")
if not ok then
    return
end

local nmap = require("my.utils").nmap

telescope.setup {}

local function project_or_files()
    local opts = { show_untracked = true }
    local ok = pcall(builtin.git_files, opts)
    if not ok then
        builtin.fd(opts)
    end
end

local function dotfiles()
    builtin.git_files {
        shorten_path = true,
        prompt_title = " ~ dotfiles ~ ",
        cwd = vim.env.DOTFILES_DIRECTORY,
    }
end

nmap("<C-p>", project_or_files, "Find project files")
nmap("<Leader>fn", dotfiles, "Dotfiles")
nmap("<Leader>fg", builtin.live_grep, "Live grep")
nmap("<Leader>gs", builtin.git_status, "Git status")
