local options = {
    background = "dark",
    clipboard = "unnamedplus",
    colorcolumn = { 100 },
    completeopt = "menu,menuone,noselect",
    conceallevel = 2,
    cursorline = true,
    foldexpr = "nvim_treesitter#foldexpr()",
    foldlevelstart = 99,
    foldmethod = "expr",
    hidden = true,
    ignorecase = true,
    inccommand = "split",
    langmap = "ΑA,ΒB,ΨC,ΔD,ΕE,ΦF,ΓG,ΗH,ΙI,ΞJ,ΚK,ΛL,ΜM,ΝN,ΟO,ΠP,QQ,ΡR,ΣS,ΤT,ΘU,ΩV,WW,ΧX,ΥY,ΖZ,αa,βb,ψc,δd,εe,φf,γg,ηh,ιi,ξj,κk,λl,μm,νn,οo,πp,qq,ρr,σs,τt,θu,ωv,ςw,χx,υy,ζz",
    list = true,
    listchars = {
        tab = "→ ",
        trail = "·",
        extends = "❯",
        precedes = "❮",
    },
    number = true,
    path = ".,,**",
    pumblend = 30,
    relativenumber = true,
    scrolloff = 6,
    selectmode = "mouse",
    showbreak = "↪",
    showmode = false,
    signcolumn = "yes",
    smartcase = true,
    splitright = true,
    swapfile = false,
    termguicolors = true,
    title = true,
    undodir = vim.fn.stdpath "cache" .. "/undo",
    undofile = true,
    updatetime = 750,
    wildignore = {
        "**/node_modules/**",
        "**/.git/**",
    },
    wrap = false,

    -- Indent Behavior
    autoindent = true,
    expandtab = true,
    shiftround = true,
    shiftwidth = 4,
    softtabstop = 4,
    tabstop = 4,
}

for k, v in pairs(options) do
    vim.opt[k] = v
end
