local install_path = vim.fn.stdpath "data" .. "/site/pack/paqs/start/paq-nvim"
if vim.fn.empty(vim.fn.glob(install_path)) > 0 then
    BOOTSTRAP = true
    vim.fn.system {
        "git",
        "clone",
        "--depth",
        "1",
        "https://github.com/savq/paq-nvim.git",
        install_path,
    }
end

if BOOTSTRAP then
    vim.cmd("packadd paq-nvim")
    print "New installation. Run :PaqSync and restart nvim"
end

require "paq" {
    "savq/paq-nvim",
    "nvim-lua/plenary.nvim",
    { "nvim-telescope/telescope.nvim", branch = "0.1.x" },
    { "catppuccin/nvim", as = "catppuccin", run = vim.cmd.CatppuccinCompile },
    "lewis6991/gitsigns.nvim",
    "kyazdani42/nvim-web-devicons",
    "lukas-reineke/indent-blankline.nvim",
    "nvim-lualine/lualine.nvim",
    "windwp/nvim-autopairs",
    "goolord/alpha-nvim",
    "mickael-menu/zk-nvim",

    -- Treesitter
    { "nvim-treesitter/nvim-treesitter", run = vim.cmd.TSUpdate },
    "nvim-treesitter/playground",
    "nvim-treesitter/nvim-treesitter-textobjects",

    -- LSP & Completion
    "neovim/nvim-lspconfig",
    "hrsh7th/nvim-cmp",
    "hrsh7th/cmp-nvim-lsp",
    "hrsh7th/cmp-buffer",
    "hrsh7th/cmp-path",
    "hrsh7th/cmp-cmdline",
    "L3MON4D3/LuaSnip",
    "nvim-lua/lsp-status.nvim",
    "onsails/lspkind.nvim",
}
